space_scalar_constitution_rep< T, M >

## Public Types

typedef std::vector< space_act > | container_type
typedef container_type::size_type | size_type
typedef container_type::const_iterator | const_iterator

## Public Member Functions

| space_scalar_constitution_rep ()
| space_scalar_constitution_rep (const geo_basic< T, M > &omega, std::string approx)
| space_scalar_constitution_rep (const space_scalar_constitution_rep< T, M > &scr)
const geo_basic< T, M > & | get_geo () const
const geo_basic< T, M > & | get_background_geo () const
const basis_basic< T > & | get_basis () const
bool | is_initialized () const
size_type | size () const
const_iterator | begin () const
const_iterator | end () const
void | set_ios_permutations (disarray< size_type, M > &idof2ios_dis_idof, disarray< size_type, M > &ios_idof2dis_idof) const
size_type | degree_max () const
bool | have_compact_support_inside_element () const
bool | is_discontinuous () const
void | neighbour_guard () const
void | set_geo (const geo_basic< T, M > &omega)
void | set_basis (const basis_basic< T > &b)
void | do_act (const space_act &act)
bool | operator== (const space_scalar_constitution_rep< T, M > &V2) const
void | build_blocked_flag (disarray< size_type, M > &blocked_flag, const distributor &comp_ownership, const distributor &start_by_component) const

## Protected Attributes

std::vector< space_act > | _acts
geo_basic< T, M > | _omega
basis_basic< T > | _fem_basis

## Detailed Description

### template<class T, class M>
class rheolef::space_scalar_constitution_rep< T, M >

Definition at line 81 of file space_constitution.h.

## Member Typedef Documentation

## container_type

typedef std::vector<space_act> container_type

Definition at line 83 of file space_constitution.h.

## size_type

typedef container_type::size_type size_type

Definition at line 84 of file space_constitution.h.

## const_iterator

typedef container_type::const_iterator const_iterator

Definition at line 85 of file space_constitution.h.

## Constructor & Destructor Documentation

## space_scalar_constitution_rep() [1/3]

space_scalar_constitution_rep | ( |  | ) |

Definition at line 89 of file space_constitution.h.

## space_scalar_constitution_rep() [2/3]

space_scalar_constitution_rep | ( | const geo_basic< T, M > & | omega,
|  | std::string | approx
| ) |  |

Definition at line 48 of file space_constitution.cc.

## space_scalar_constitution_rep() [3/3]

space_scalar_constitution_rep | ( | const space_scalar_constitution_rep< T, M > & | scr | ) |

Definition at line 96 of file space_constitution.h.

## Member Function Documentation

## get_geo()

const geo_basic<T,M>& get_geo | ( |  | ) | const

Definition at line 104 of file space_constitution.h.

## get_background_geo()

const geo_basic<T,M>& get_background_geo | ( |  | ) | const

Definition at line 105 of file space_constitution.h.

## get_basis()

const basis_basic<T>& get_basis | ( |  | ) | const

Definition at line 106 of file space_constitution.h.

## is_initialized()

bool is_initialized | ( |  | ) | const

Definition at line 108 of file space_constitution.h.

## size()

size_type size | ( |  | ) | const

Definition at line 109 of file space_constitution.h.

## begin()

const_iterator begin | ( |  | ) | const

Definition at line 110 of file space_constitution.h.

## end()

const_iterator end | ( |  | ) | const

Definition at line 111 of file space_constitution.h.

## set_ios_permutations()

void set_ios_permutations | ( | disarray< size_type, M > & | idof2ios_dis_idof,
|  | disarray< size_type, M > & | ios_idof2dis_idof
| ) |  | const

Definition at line 593 of file space_constitution.cc.

## degree_max()

size_type degree_max | ( |  | ) | const

Definition at line 121 of file space_constitution.h.

## have_compact_support_inside_element()

bool have_compact_support_inside_element | ( |  | ) | const

Definition at line 122 of file space_constitution.h.

## is_discontinuous()

bool is_discontinuous | ( |  | ) | const

Definition at line 123 of file space_constitution.h.

## neighbour_guard()

void neighbour_guard | ( |  | ) | const

Definition at line 124 of file space_constitution.h.

## set_geo()

void set_geo | ( | const geo_basic< T, M > & | omega | ) |

Definition at line 128 of file space_constitution.h.

## set_basis()

void set_basis | ( | const basis_basic< T > & | b | ) |

Definition at line 129 of file space_constitution.h.

## do_act()

void do_act | ( | const space_act & | act | ) |

Definition at line 74 of file space_constitution.cc.

## operator==()

bool operator== | ( | const space_scalar_constitution_rep< T, M > & | V2 | ) | const

Definition at line 134 of file space_constitution.h.

## build_blocked_flag()

void build_blocked_flag | ( | disarray< size_type, M > & | blocked_flag,
|  | const distributor & | comp_ownership,
|  | const distributor & | start_by_component
| ) |  | const

Definition at line 103 of file space_constitution.cc.

## Member Data Documentation

## _acts

std::vector<space_act> _acts

protected

Definition at line 143 of file space_constitution.h.

## _omega

geo_basic<T,M> _omega

protected

Definition at line 144 of file space_constitution.h.

## _fem_basis

basis_basic<T> _fem_basis

protected

Definition at line 145 of file space_constitution.h.

The documentation for this class was generated from the following files:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/space_constitution.h
- /build/rheolef-bzr82u/rheolef-7.1/main/lib/space_constitution.cc